# Get Business

Endpoint: GET /business/{business_id}
Version: v1
Security: x-api-key, a-api-key

## Security:

  - `x-api-key` (unknown)
    apiKey in header x-api-key

  - `a-api-key` (unknown)
    apiKey in header a-api-key

## Path parameters:

  - `business_id` (integer, required)

## Response 200:

  - `200` (unknown)
    Successful

## Response 200 fields (application/json):

  - `links` (object)

  - `links.self` (string)
    Example: https://api.pracsuite.com/v1/business/1

  - `links.appointments` (string)
    Example: https://api.pracsuite.com/v1/business/1/appointment

  - `tenant_id` (integer)
    Example: 1

  - `business_id` (integer)
    Example: 123

  - `business_name` (string)

  - `display_name` (string)

  - `address_1` (string | null)

  - `address_2` (string | null)

  - `address_3` (string | null)

  - `address_4` (string | null)

  - `suburb` (string | null)

  - `address_state` (string | null)

  - `postcode` (string | null)

  - `country` (string | null)

  - `archive` (boolean | null)
    Example: false

  - `phone` (string | null)

  - `fax` (string | null)

  - `email` (string | null)

  - `website` (string | null)

  - `appointment_start_time` (string | null)

  - `appointment_end_time` (string | null)

  - `registration_number` (string | null)

  - `registration_type` (string | null)

  - `short_description` (string | null)

  - `ndis_registration_number` (string | null)

  - `appointment_intervals` (integer | null)

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 400

  - `error.code` (string)
    Example: INVALID_PARAMS

  - `error.detail` (string)
    Human readable explanation of the error
    Example: One or more request parameters are invalid.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 401:

  - `401` (unknown)
    Unauthorised

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: UNAUTHORIZED

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Access could not be verified for this request.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: MISSING_AUTHENTICATION_TOKEN

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Authentication token is missing or the requested endpoint does not exist

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 404

  - `error.code` (string)
    Example: NOT_FOUND

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Could not find {Resource} with ID {ID_HERE}

  - `request_id` (string)
    Example: 00000000-0000-0000-0000-000000000000

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 500

  - `error.code` (string)
    Example: SERVER_ERROR

  - `error.detail` (string)
    Human readable explanation of the error
    Example: An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

